Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.transport.socket
Class SocketServerInvoker.ServerSocketRefresh

    java.lang.Object
      java.lang.Thread
          org.jboss.remoting.transport.socket.SocketServerInvoker.ServerSocketRefresh

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  SocketServerInvoker

    public class SocketServerInvoker.ServerSocketRefresh

extends java.lang.Thread

this thread checks if a new ServerSocketFactory was set,
if so initializes a serversocket refresh

Author:
  Michael Voss

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`SocketServerInvoker.ServerSocketRefresh()`

Method Summary
`void` | `release()` Let SocketServerInvoker.run() resume when refresh is completed
`void` | `run()`
`void` | `shutdown()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SocketServerInvoker.ServerSocketRefresh

    public SocketServerInvoker.ServerSocketRefresh()

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### release

    public void release()
                 throws ServerInvoker.InvalidStateException

  Let SocketServerInvoker.run() resume when refresh is completed

  Throws:
    `ServerInvoker.InvalidStateException`

### shutdown

    public void shutdown()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.